Package com.usatiuk.dhfs.repository

# Class DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcFutureStub

java.lang.Object
io.grpc.stub.AbstractStub<DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcFutureStub>
io.grpc.stub.AbstractFutureStub<DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcFutureStub>
com.usatiuk.dhfs.repository.DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcFutureStub

Enclosing class:
  `DhfsObjectSyncGrpcGrpc`

public static class DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcFutureStub extends io.grpc.stub.AbstractFutureStub<DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcFutureStub>
A stub to allow clients to do ListenableFuture-style rpc calls to service DhfsObjectSyncGrpc.

## Nested Class Summary

## Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

## Method Summary

Modifier and Type
Method
Description
`protected DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcFutureStub`
`build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`com.google.common.util.concurrent.ListenableFuture<CanDeleteReply>`
`canDelete(CanDeleteRequest request)`
`com.google.common.util.concurrent.ListenableFuture<GetObjectReply>`
`getObject(GetObjectRequest request)`
`com.google.common.util.concurrent.ListenableFuture<OpPushReply>`
`opPush(OpPushRequest request)`
`com.google.common.util.concurrent.ListenableFuture<PingReply>`
`ping(PingRequest request)`

### Methods inherited from class io.grpc.stub.AbstractFutureStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOnReadyThreshold, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### build

protected DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcFutureStub build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcFutureStub>`

### opPush

public com.google.common.util.concurrent.ListenableFuture<OpPushReply> opPush(OpPushRequest request)

### getObject

public com.google.common.util.concurrent.ListenableFuture<GetObjectReply> getObject(GetObjectRequest request)

### canDelete

public com.google.common.util.concurrent.ListenableFuture<CanDeleteReply> canDelete(CanDeleteRequest request)

### ping

public com.google.common.util.concurrent.ListenableFuture<PingReply> ping(PingRequest request)